
Foreman - Refactor #32415

Tracker # 29939 (Closed): Improve setting definition DSL and move setting registry to memory

Use only SettingRegistry to read and update the settings

04/24/2021 08:45 PM - Ondřej Ezr

Status: Closed   

Priority: Normal   

Assignee: Ondřej Ezr   

Category: Settings   

Target version:    

Difficulty:  Fixed in Releases: 3.0.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8465

  

Description

We are still using the model in the Api::V2::SettingsController.

We want all the methods to go through the SettingRegistry, so we don't need all the Settings to have DB record.

Related issues:

Follows Foreman - Refactor #32287: Load Setting index page from memory registry Closed

Associated revisions

Revision 3ff1fd27 - 07/23/2021 01:53 PM - Ondřej Ezr

Fixes #32415 - access only through SettingRegistry

Update and read the settings through SettingRegistry.

Adds a layer between controller and Model.

SettingRegistry is proxying the value parsing method to the model.

This lifts blocker for settings without DB record.

History

#1 - 04/24/2021 09:40 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ondřej Ezr

- Pull request https://github.com/theforeman/foreman/pull/8465 added

#2 - 04/24/2021 09:43 PM - Ondřej Ezr

- Subject changed from Use only SettingRegistry to update the settings to Use only SettingRegistry to read and update the settings

- Description updated

#3 - 04/24/2021 09:43 PM - Ondřej Ezr

- Follows Refactor #32287: Load Setting index page from memory registry added

#4 - 07/23/2021 01:53 PM - The Foreman Bot

- Fixed in Releases 3.0.0 added

#5 - 07/23/2021 02:08 PM - Ondřej Ezr

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|3ff1fd27fa32f7a52ecd995417521b5b91c9a093.
